package main

import (
	"fmt"
	"github.com/SevereCloud/vksdk/v2/api"
	"github.com/SevereCloud/vksdk/v2/api/params"
	"log"
	"os"
	"strconv"
)

func main() {
	token := os.Getenv("vktoken")
	groupId, err := strconv.Atoi(os.Getenv("vkgroupid"))
	if err != nil {
		log.Fatal(err)
	}

	vk := api.NewVK(token)
	wallGetParams := params.NewWallGetBuilder()
	wallGetParams.Count(10)
	wallGetParams.Extended(true)
	wallGetParams.OwnerID(groupId)

	posts, err := vk.WallGet(wallGetParams.Params)
	if err != nil {
		log.Fatal(err)
	}

	for _, item := range posts.Items {
		groupGetParams := params.NewGroupsGetByIDBuilder()
		groupGetParams.GroupID(strconv.Itoa(item.OwnerID * -1))

		ownerName, err := vk.GroupsGetByID(groupGetParams.Params)
		if err != nil {
			log.Fatal(err)
		}
		fmt.Println("Group:")
		fmt.Println(ownerName[0].Name)
		fmt.Println("Text:")
		fmt.Println(item.Text)

	}

}
